mainDir<-"E:/study/yan/supprting of senstivity of Vegetation/Irtysh River"
setwd(mainDir)
library("raster")

###################################################################################
## SCRIPT TO CALCULATE VSI SCORE 

## Functions for this stored in another script file (xxx). 
## Load this script then run it for each tile individually in the loop. 
## Stores the result as an .Rdata file. Then use the separate mapping script functions to make the maps.
###################################################################################

### Load the function
source(paste(mainDir, "/script_vsiFun.R", sep ="" ))
dir.create(paste(mainDir, "/", "results", sep=""))

progBar <- txtProgressBar(min = 0, max =10 , style = 3)   #length(filenames)
for(tile in 1:10){
  
  NDVI <- read.csv(paste(mainDir, "/NDVI_ts/NDVI_ts_",tile, ".csv", sep=""), header = TRUE, row.names=1)
  Pre <- read.csv(paste(mainDir, "/Pre_ts/Pre_ts_",tile, ".csv", sep=""), header = TRUE, row.names=1)
  Tem <- read.csv(paste(mainDir, "/Tem_ts/Tem_ts_",tile, ".csv", sep=""), header = TRUE, row.names=1)
  TVDI <- read.csv(paste(mainDir, "/TVDI_ts/TVDI_ts_",tile, ".csv", sep=""), header = TRUE, row.names=1)
  
  vsiResult<-vector("list", nrow(NDVI))
  for(pixel in 1: nrow(NDVI)){
    
    NDVI1 <- c(as.numeric(NDVI[pixel, ]))# Adds an extra value to the start of the time series so it begins in Jan 2000
    Pre1 <- c(as.numeric(Pre[pixel, ]))
    Tem1 <- c(as.numeric(Tem[pixel, ]))
    TVDI1 <- c(as.numeric(TVDI[pixel, ]))
    
    output<-vsi(NDVI1, Pre1,Tem1, TVDI1) 
    vsiResult[[pixel]]<-output		
  }	
  
  save(vsiResult, file=paste(mainDir, "/", "results/tile_", tile, ".RData", sep=""))	# summaryPCA saved as an RData file
  setTxtProgressBar(progBar, tile)
}
