mainDir<-"E:/study/yan/supprting of senstivity of Vegetation/Irtysh River"
setwd(mainDir)
library("raster")
library("nlme")

landsea<-read.table("landsea.txt", header=F)
landsea<-c(as.matrix(landsea))


###################################################################################
## ESTIMATE THE CLIMATE COEFFICIENT WEIGHTS / CIs (EXTENDED DATA 2,3, 10)

# First you compile the results from the tiles, 
#then you project it back to the global grid and store as a csv file for use.

###################################################################################

dir.create(paste(mainDir, "/rasters", sep=""))
source(paste(mainDir, "/script_mappingFun.R", sep ="" ))

# Calculates the mean coefficients of the 3 climate weights and the t-1 variable
coefResults <- compileCoefTiles(tilePath = paste(mainDir, "/results", sep = ""), absVal = TRUE) # Compile your results
# Makes a .csv matrix which can be turned into a raster. 
landSeaProj(resultMatrix = coefResults, landsea = landsea, fullStand = FALSE, resultPath = paste(mainDir, "/rasters/coef", sep = ""))

# Extended Data Figure 2 (climate weights). 
#Calculate the coefficients without the t-1 variable (raw coefficients and standardised on own, and against full dataset)
coefNonT1 <- compileCoefTilesNONT1(tilePath = paste(mainDir, "/results", sep = ""), absVal <- TRUE)
landSeaProj(resultMatrix = coefNonT1, landsea = landsea, fullStand = TRUE, resultPath = paste(mainDir, "/rasters/coefNonT1_global_", sep = ""))
landSeaProj(resultMatrix = coefNonT1, landsea = landsea, fullStand = FALSE, resultPath = paste(mainDir, "/rasters/coefNonT1", sep = "")) 
#  coefficients from regression for a given variable - T1 not accounted in the weight - Locally weighted) for Individual display of each coefficient.

# Get the climate / t-1 as a percentage for making Extended Data Figure 3
coefPerc <- compileCoefTilesPERCENTAGE(tilePath = paste(mainDir, "/results", sep = ""))
landSeaProj(resultMatrix = coefPerc, landsea = landsea, fullStand = FALSE, resultPath = paste(mainDir, "/rasters/coefPerc", sep=""))
666666666666

# Extended Data Figure 10. Get the width of the confidence intervals of the coefficients for each variable
CI <- compileCITiles(tilePath = paste(mainDir, "/results", sep = "")) # Compile your results
landSeaProj(resultMatrix = CI, landsea = landsea, fullStand = FALSE, raw = TRUE, resultPath = paste(mainDir, "/rasters/cI", sep ="")) # IS THIS CORRECT? HAVE HAD TO ADD RAW - TRUE

# Makes a .csv file with the raw, untransformed values of the coefficients in the regressions- in order to divide cIs by them to scale them.
landSeaProj(resultMatrix = coefResults, landsea = landsea, fullStand = FALSE, raw = TRUE, resultPath = paste(mainDir, "/rasters/cI_coef", sep = ""))






###################################################################################
## ESTIMATE THE MEAN VARIANCE ANOMALIES FOR EACH VARIABLE
###################################################################################

# Get the mean EVIs in each
meanSig <- compileVarTilesAnon(tilePath = paste(mainDir, "/results", sep= ""), var= "meanVecSig")
landSeaProj(resultMatrix = meanSig, landsea = landsea, fullStand = TRUE, resultPath = paste(mainDir, "/rasters/meanVec_", sep =""))

# Get the variance
sdSig <-   compileVarTilesAnon(tilePath = paste(mainDir, "/results", sep= ""), var= "sdDetVecSig")
landSeaProj(resultMatrix = sdSig, landsea = landsea, fullStand = TRUE, resultPath = paste(mainDir, "/rasters/sdDetVec_", sep =""))




###################################################################################
# THEN M.M.F. TOOK THESE CSV FILES AND MADE THE FINAL CALCULATIONS IN MATLAB FOR FIGURE 1, 
# MAKING ALL THE MAPS IN ARCGIS.

# SEE THE "matlabMappingscript.m" MATLAB SCRIPT FOR DETAILS

###################################################################################




