mainDir<-"E:/study/yan/supprting of senstivity of Vegetation/Irtysh River"
setwd(mainDir)
library("raster")
library("nlme")
#dir.create(paste(mainDir, "/rasterss", sep=""))
source(paste(mainDir, "/script_mappingFun.R", sep ="" ))


landsea<-read.table("landsea.txt", header=F)
landsea<-c(as.matrix(landsea))


# Calculate the anomalies for each variable. 
NDVI <- anomCalcNew(var = "NDVI", filePath = paste(mainDir, "/rasters/anom", sep = ""))
Pre <- anomCalcNew(var = "Pre", filePath = paste(mainDir, "/rasters/anom", sep = ""))   
Tem<- anomCalcNew(var = "Tem", filePath = paste(mainDir, "/rasters/anom", sep = ""))   
TVDI <- anomCalcNew(var = "TVDI", filePath = paste(mainDir, "/rasters/anom", sep = "")) 


# Make the mean variance plots (Extended Data 8).

makeAnomPlot<- function(var = NDVI, xlabel = "Mean", label = "(A)"){
  varPlot <- var
  colList <- list(NDVI = rgb(100,100 ,100, 70, maxColorValue = 255), Pre =  rgb(100, 0 ,0, 70, maxColorValue = 255),
                  Tem = rgb(0, 0 , 100, 70, maxColorValue = 255), TVDI = rgb(0, 100 ,0, 70, maxColorValue = 255))
  
  plot(varPlot$x, varPlot$y, col= eval(parse(text = paste("colList$", varPlot$varName, sep=""))), pch=16, xlab = xlabel, ylab = "Variance")
  lines(varPlot$xPred, varPlot$yPred)
  
  xLab <- min(varPlot$x, na.rm = TRUE) + (max(varPlot$x, na.rm= TRUE) - min(varPlot$x, na.rm = TRUE))*0.025
  yLab <- min(varPlot$y, na.rm= TRUE) + (max(varPlot$y, na.rm = TRUE) - min(varPlot$y, na.rm = TRUE))*0.975
  text(xLab, yLab, labels= label, cex = 1.1) 
}

pdf(paste(mainDir, "/ExDataFig8.pdf", sep= ""))
par(mfrow= c(2,2))
makeAnomPlot(var = NDVI, label= "(A)", xlabel = "Mean NDVI")
makeAnomPlot(var = Tem, label = "(B)", xlabel =expression (paste("Mean Temperature (", degree ~K, ")", sep ="")))
makeAnomPlot(var = Pre, label= "(C)", xlabel = "Mean Pre")
makeAnomPlot(var = TVDI, label = "(D)", xlabel = "Mean TVDI")
dev.off()
